OpenEL 3.0.0

Public Attributes | List of all members
elMotorFncTblSt Struct Reference

`#include <openEL_motor.h>`

## Public Attributes
enum ReturnCode(* | pFncInit )()
enum ReturnCode(* | pFncReInit )()
enum ReturnCode(* | pFncFinalize )()
enum ReturnCode(* | pFncAddObserver )()
enum ReturnCode(* | pFncRemoveObserver )()
enum ReturnCode(* | pFncGetProperty )()
enum ReturnCode(* | pFncGetTime )()
enum ReturnCode(* | pFncDummy07 )()
enum ReturnCode(* | pFncSetPosition )(HALCOMPONENT_T **halComponent, halfloat position)
enum ReturnCode(* | pFncGetPosition )(HALCOMPONENT_T **halComponent, halfloat **position)
enum ReturnCode(* | pFncDummy0A )()
enum ReturnCode(* | pFncDummy0B )()
enum ReturnCode(* | pFncDummy0C )()
enum ReturnCode(* | pFncDummy0D )()
enum ReturnCode(* | pFncDummy0E )()
enum ReturnCode(* | pFncDummy0F )()
enum ReturnCode(* | pFncDummy10 )()
enum ReturnCode(* | pFncDummy11 )()
enum ReturnCode(* | pFncDummy12 )()
enum ReturnCode(* | pFncDummy13 )()
enum ReturnCode(* | pFncDummy14 )()
enum ReturnCode(* | pFncDummy15 )()
enum ReturnCode(* | pFncDummy16 )()
enum ReturnCode(* | pFncDummy17 )()
enum ReturnCode(* | pFncDummy18 )()
enum ReturnCode(* | pFncDummy19 )()
enum ReturnCode(* | pFncDummy1A )()
enum ReturnCode(* | pFncDummy1B )()
enum ReturnCode(* | pFncDummy1C )()
enum ReturnCode(* | pFncDummy1D )()
enum ReturnCode(* | pFncDummy1E )()
enum ReturnCode(* | pFncDummy1F )()

## Detailed Description

component function table

Definition at line 112 of file openEL_motor.h.

## Member Data Documentation

## ◆ pFncAddObserver

enum ReturnCode(* elMotorFncTblSt::pFncAddObserver) ()

AddObserver

Definition at line 116 of file openEL_motor.h.

## ◆ pFncDummy07

enum ReturnCode(* elMotorFncTblSt::pFncDummy07) ()

Reserved

Definition at line 120 of file openEL_motor.h.

## ◆ pFncDummy0A

enum ReturnCode(* elMotorFncTblSt::pFncDummy0A) ()

Reserved

Definition at line 124 of file openEL_motor.h.

## ◆ pFncDummy0B

enum ReturnCode(* elMotorFncTblSt::pFncDummy0B) ()

Reserved

Definition at line 125 of file openEL_motor.h.

## ◆ pFncDummy0C

enum ReturnCode(* elMotorFncTblSt::pFncDummy0C) ()

Reserved

Definition at line 126 of file openEL_motor.h.

## ◆ pFncDummy0D

enum ReturnCode(* elMotorFncTblSt::pFncDummy0D) ()

Reserved

Definition at line 127 of file openEL_motor.h.

## ◆ pFncDummy0E

enum ReturnCode(* elMotorFncTblSt::pFncDummy0E) ()

Reserved

Definition at line 128 of file openEL_motor.h.

## ◆ pFncDummy0F

enum ReturnCode(* elMotorFncTblSt::pFncDummy0F) ()

Reserved

Definition at line 129 of file openEL_motor.h.

## ◆ pFncDummy10

enum ReturnCode(* elMotorFncTblSt::pFncDummy10) ()

Reserved

Definition at line 131 of file openEL_motor.h.

## ◆ pFncDummy11

enum ReturnCode(* elMotorFncTblSt::pFncDummy11) ()

Reserved

Definition at line 132 of file openEL_motor.h.

## ◆ pFncDummy12

enum ReturnCode(* elMotorFncTblSt::pFncDummy12) ()

Reserved

Definition at line 133 of file openEL_motor.h.

## ◆ pFncDummy13

enum ReturnCode(* elMotorFncTblSt::pFncDummy13) ()

Reserved

Definition at line 134 of file openEL_motor.h.

## ◆ pFncDummy14

enum ReturnCode(* elMotorFncTblSt::pFncDummy14) ()

Reserved

Definition at line 135 of file openEL_motor.h.

## ◆ pFncDummy15

enum ReturnCode(* elMotorFncTblSt::pFncDummy15) ()

Reserved

Definition at line 136 of file openEL_motor.h.

## ◆ pFncDummy16

enum ReturnCode(* elMotorFncTblSt::pFncDummy16) ()

Reserved

Definition at line 137 of file openEL_motor.h.

## ◆ pFncDummy17

enum ReturnCode(* elMotorFncTblSt::pFncDummy17) ()

Reserved

Definition at line 138 of file openEL_motor.h.

## ◆ pFncDummy18

enum ReturnCode(* elMotorFncTblSt::pFncDummy18) ()

Reserved

Definition at line 140 of file openEL_motor.h.

## ◆ pFncDummy19

enum ReturnCode(* elMotorFncTblSt::pFncDummy19) ()

Reserved

Definition at line 141 of file openEL_motor.h.

## ◆ pFncDummy1A

enum ReturnCode(* elMotorFncTblSt::pFncDummy1A) ()

Reserved

Definition at line 142 of file openEL_motor.h.

## ◆ pFncDummy1B

enum ReturnCode(* elMotorFncTblSt::pFncDummy1B) ()

Reserved

Definition at line 143 of file openEL_motor.h.

## ◆ pFncDummy1C

enum ReturnCode(* elMotorFncTblSt::pFncDummy1C) ()

Reserved

Definition at line 144 of file openEL_motor.h.

## ◆ pFncDummy1D

enum ReturnCode(* elMotorFncTblSt::pFncDummy1D) ()

Reserved

Definition at line 145 of file openEL_motor.h.

## ◆ pFncDummy1E

enum ReturnCode(* elMotorFncTblSt::pFncDummy1E) ()

Reserved

Definition at line 146 of file openEL_motor.h.

## ◆ pFncDummy1F

enum ReturnCode(* elMotorFncTblSt::pFncDummy1F) ()

Reserved

Definition at line 147 of file openEL_motor.h.

## ◆ pFncFinalize

enum ReturnCode(* elMotorFncTblSt::pFncFinalize) ()

Finalize

Definition at line 115 of file openEL_motor.h.

## ◆ pFncGetPosition

enum ReturnCode(* elMotorFncTblSt::pFncGetPosition) (HALCOMPONENT_T **halComponent, halfloat **position)

GetPosition

Definition at line 123 of file openEL_motor.h.

## ◆ pFncGetProperty

enum ReturnCode(* elMotorFncTblSt::pFncGetProperty) ()

GetProperty

Definition at line 118 of file openEL_motor.h.

## ◆ pFncGetTime

enum ReturnCode(* elMotorFncTblSt::pFncGetTime) ()

GetTime

Definition at line 119 of file openEL_motor.h.

## ◆ pFncInit

enum ReturnCode(* elMotorFncTblSt::pFncInit) ()

Initialize

Definition at line 113 of file openEL_motor.h.

## ◆ pFncReInit

enum ReturnCode(* elMotorFncTblSt::pFncReInit) ()

ReInit

Definition at line 114 of file openEL_motor.h.

## ◆ pFncRemoveObserver

enum ReturnCode(* elMotorFncTblSt::pFncRemoveObserver) ()

RemoveObserver

Definition at line 117 of file openEL_motor.h.

## ◆ pFncSetPosition

enum ReturnCode(* elMotorFncTblSt::pFncSetPosition) (HALCOMPONENT_T **halComponent, halfloat position)

SetPosition

Definition at line 122 of file openEL_motor.h.

The documentation for this struct was generated from the following file:

- /Users/nakamura/openel/OpenEL-3.0.0/include/openEL_motor.h